# Dark Web

## Get a list of domains.

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/darkweb/domain-list.json`

Returns a pagination list of domains.

<https://app.halosecurity.com/user/security/darkweb/domains>

## Get a list of leaks.

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/darkweb/leak-list.json`

Returns a paginated list of leaks.

<https://app.halosecurity.com/user/security/darkweb/leaks>

#### Query Parameters

<table data-full-width="false"><thead><tr><th width="137">Name</th><th width="123">Type</th><th>Description</th></tr></thead><tbody><tr><td>domain</td><td>String or Number</td><td>Filter by domain or domain ID</td></tr><tr><td>leak</td><td>String</td><td>Filter by leak</td></tr><tr><td>email</td><td>String</td><td>Filter by email</td></tr></tbody></table>

## Get a list of records.

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/darkweb/record-list.json`

Returns a paginated list of records.

[https://app.halosecurity.com/user/security/darkweb/records](https://app.halosecurity.com/user/security/darkweb/records?)

<table><thead><tr><th width="137">Name</th><th width="123">Type</th><th>Description</th></tr></thead><tbody><tr><td>domain</td><td>String or Number</td><td>Filter by domain or domain ID</td></tr><tr><td>leak</td><td>String</td><td>Filter by leak</td></tr><tr><td>email</td><td>String</td><td>Filter by email</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.halosecurity.com/api/endpoints/dark-web.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
